Subject: Re: Denx vs kernel.org

From: Marcelo Tosatti <[email-masked]>
Date: Thu, 8 Dec 2005 12:31:49 -0200

On Tue, Dec 06, 2005 at 10:14:59PM +0100, Wolfgang Denk wrote:
> In message <[email-masked]> you wrote:
> > I'm looking at embedding linux into a PowerPC-based
> > system.  I found the DENX website to be very helpful,
> > but I'm struggling to understand a few items:
> 
> It would be helpful if you precisely stated which of the  misc  trees
> you are talking about.
> 
> > 1) The source from kernel.org appears to have support
> > for the powerpc (arch/powerpc/8xx_io).  But when using
> > 'make xconfig' I cannot select PowerPC from the list
> > of processors.  Is this just a limitation on the the
> > configuration utility?
> 
> Seems like you are trying to use the linux-2.6-denx tree  and  forgot
> to  pass  a "ARCH=ppc" argument to "make" (and did not set "ARCH=ppc"
> in your shell environment either).
> 
> > 2) What is the difference between the sources on DENX
> > and kernel.org?  Are there other places where PPC
> 
> We have some stuff added which was submitted as patches to  the  list
> but  not  all  of  this  has  been  accepted  for  or merged into the
> kernel.org tree yet.

Hi Wolfgang,

Is there a list of your fixes anywhere? Is the linux-2.6-denx tree
public?